Package org.apache.avro

# Class SchemaParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.avro.AvroRuntimeException
org.apache.avro.SchemaParseException

All Implemented Interfaces:
  `Serializable`

public class SchemaParseException extends AvroRuntimeException
Thrown for errors parsing schemas and protocols.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SchemaParseException(String message)`
`SchemaParseException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SchemaParseException

public SchemaParseException(Throwable cause)

### SchemaParseException

public SchemaParseException(String message)